
# require "eitil_core"

# core class patches
require "eitil_core/string"
require "eitil_core/array"
require "eitil_core/hash"
require "eitil_core/float"
require "eitil_core/datetime"

# multi class patches
require "eitil_core/type_checkers"
require "eitil_core/formatters"
require "eitil_core/mocks"

# rails class patches
require "eitil_core/active_record"
require "eitil_core/application_record"
require "eitil_core/application_controller"

# helper patches
require "eitil_core/errors"
require "eitil_core/argument_helpers"
require "eitil_core/safe_executions"
require "eitil_core/setters"
require "eitil_core/validations"
require "eitil_core/lookups"
require "eitil_core/concerns"
require "eitil_core/files"
