
# require "eitil_core/application_record/find_by_like"

# require "eitil_core/railtie" to run the dynamic dispatch as an init hook during boot
require "eitil_core/railtie"

module EitilCore
  module ApplicationRecord
    module DuckFind

      Eitil::ApplicationRecordModules << self

      def duck_find(identifier)
        
        case identifier

        when self
          return identifier

        when Integer
          return find identifier

        when Float
          return find identifier

        when String
          return find identifier if identifier.is_num?

        end

        raise ArgumentError, "#{name}#duck_find only accepts a #{name} instance, integer, float or stringified integer as argument."

      end

    end
  end
end