
# require "eitil_core/application_record/find_by_like"

# require "eitil_core/railtie" to run the dynamic dispatch as an init hook during boot
require "eitil_core/railtie"

module EitilCore
  module ApplicationRecord
    module FindByLike

      Eitil::ApplicationRecordModules << self

      def find_by_like(_hash)
        column, like = _hash.first
        find_by("REPLACE(LOWER(#{column}), ' ', '') LIKE ?", "%#{like.downcase.delete(' ')}%")
      end

    end
  end
end