
# require "eitil_integrate/application_exporter/auto_sum/reduce_data"

module EitilIntegrate::RubyXL
  module AutoSum
    class << self

      def reduce_data
        drop_multi_class_arrays
      end

      def drop_multi_class_arrays
        @hash.transform_values! { |array| array.map(&:class).uniq.length == 1 ? array : [] }
      end

    end
  end
end
