
# require "eitil_integrate/application_exporter/initialize"

require "eitil_core/setters/set_ivars"
require "eitil_core/argument_helpers/all_kwargs_to_ivars"
require "action_view"
require "rubyXL"

module EitilIntegrate
  module RubyXL
    class ApplicationExporter

      include ActionView::Helpers::NumberHelper

      attr_accessor :book, :sheet, :x, :y, :start_date, :end_date, :date_range, :write_log

      def initialize(attributes={})

        @start_date ||= attributes[:start_date]
        @end_date   ||= attributes[:end_date]

        set_ivars :start_date, :end_date, :date_range
        
        @book  = ::RubyXL::Workbook.new
        @sheet = @book.worksheets[0]
        @x   ||= 0
        @y   ||= 0
      end

    end
  end
end