
# require "eitil_integrate/application_exporter/validations"

require "eitil_integrate/application_exporter/initialize"
require "eitil_core/errors/raise_error"

module EitilIntegrate::RubyXL
  class ApplicationExporter

    def validate_args_presence(*args)
      args.each do |arg|
        unless instance_variable_get "@#{arg}"
          raise_error 'ExportArgumentsNotSetError', 'Set all required arguments. (Be aware that nil values will fail the test.)'
        end
      end
      true
    end

    def validate_args_value
      # Empty holder to prevent NoMethodError in DefaultExporter#export.
    end

    def validate_data
      # Empty holder to prevent NoMethodError in DefaultExporter#export.
    end

  end
end