module EitilSupport
  class Call

    attr_reader :program, :line, :meth

    CALL_RE = /(.*):(\d+):in `(.*)'/

    def initialize(string)
      @program, @line, @meth = CALL_RE.match(string).captures
    end

    def to_s
      "#{"#{meth}".ljust(50)} #{"(#{line})".ljust(6)} #{program}"
    end

  end
end