
# require "eitil_core/application_record/all_associations"

# require "eitil_core/railtie" to run the dynamic dispatch as an init hook during boot
require "eitil_core/railtie"

module EitilCore
  module ApplicationRecord
    module AllAssociations

      Eitil::ApplicationRecordModules << self

      def all_associations
        reflect_on_all_associations.map do |assoc|
          { assoc.name => assoc.association_class.to_s.demodulize }
        end.inject &:merge
      end

    end
  end
end