
# require "eitil_core/application_record/model_atts"

# require "eitil_core/railtie" to run the dynamic dispatch as an init hook during boot
require "eitil_core/railtie"

module EitilCore
  module ApplicationRecord
    module ModelAtts

      Eitil::ApplicationRecordModules << self

      def model_atts
        columns = self.columns_hash.keys.map(&:to_sym)
        reject  = %i( id updated_at created_at )
        columns - reject
      end

    end
  end
end
