
# require "eitil_core/application_record/where_like"

# require "eitil_core/railtie" to run the dynamic dispatch as an init hook during boot
require "eitil_core/railtie"

module EitilCore
  module ApplicationRecord
    module WhereLike

      Eitil::ApplicationRecordModules << self

      def where_like(_hash)
        column, like = _hash.first
        where("REPLACE(LOWER(#{column}), ' ', '') LIKE ?", "%#{like.downcase.delete(' ')}%")
      end

    end
  end
end
