
# require "eitil_core/argument_helpers/args_to_h"

Kernel.module_eval do

  def args_to_h(local_binding, *local_vars)

    local_vars.reject { |lvar| lvar == local_binding }
              .reject { |lvar| lvar.to_s.start_with?('_') }
              .map    { |lvar| { "#{lvar}": local_binding.local_variable_get(lvar) } }
              .inject &:merge

  end

end