
# require "eitil_core/array/slice_hashes"

class Array

  def slice_hashes(*keys)
    
    return self if self.empty?

    unless self.all? { |item| item.is_a? Hash }
      raise ArgumentError, "Array#slice_hashes requires that all array items are Hash instances"
    end

    self.map { |item| item.slice(*keys) }

  end

end