
# require "eitil_core/formatters/duck_set"


class Date

  def self.duck_set(identifier)
  
    _class = identifier.class

    if _class == self
      return identifier

    elsif _class == String
      return parse identifier

    elsif _class == DateTime
      return identifier.to_date

    elsif _class == Time
      return identifier.to_date
    end

    raise ArgumentError, "Date.duck_set only accepts instances of String, Date, DateTime and Time as argument."    
      
  end

end


class DateTime

  def self.duck_set(identifier)
    
    _class = identifier.class

    if _class == self
      return identifier

    elsif _class == String
      return parse identifier

    elsif _class == Time
      return identifier.to_datetime

    elsif _class == Date
      return identifier.to_datetime
    end

    raise ArgumentError, "DateTime.duck_set only accepts instances of String, Date, DateTime and Time as argument."    
    
  end

end


class Time

  def self.duck_set(identifier)
    
    _class = identifier.class

    if _class == self
      return identifier

    elsif _class == String
      return parse identifier

    elsif _class == DateTime 
      return identifier.to_time

    elsif _class == Date
      return identifier.to_time
    end

    raise ArgumentError, "Time.duck_set only accepts instances of String, Date, DateTime and Time as argument."    

  end

end

