
# require "eitil_core/formatters/sql"


class Date

  def strfsql(type = :date)
    
    type = type.kind_of?(String) ? type.to_sym : type
    
    case type

    when :date
      return self.strftime "%Y-%m-%d"

    end
    return

  end

end


class DateTime

  def strfsql(type = :datetime)
    
    type = type.kind_of?(String) ? type.to_sym : type

    case type
    
    when :datetime
      return self.strftime "%Y-%m-%d %H:%M:%S.%6N"
    
    when :date
      return self.strftime "%Y-%m-%d"

    when :time
      return self.strftime "%H:%M:%S"

    end
    return

  end

end


class Time

  def strfsql(type = :time)
    
    type = type.kind_of?(String) ? type.to_sym : type
    
    case type

    when :datetime
      return self.strftime "%Y-%m-%d %H:%M:%S.%6N"
    
    when :date
      return self.strftime "%Y-%m-%d"

    when :time
      return self.strftime "%H:%M:%S"

    end
    return

  end

end

