
# require "eitil_core/lookups/all_methods"

require "awesome_print"

class Object

  def all_methods(include_ancestors = true, grep: nil)

    _introspection_methods = %i$
      methods
      singleton_methods
      instance_methods
      private_methods
      public_methods
      protected_methods
      private_instance_methods
      public_instance_methods
      protected_instance_methods
    $

    _introspection_methods.map! do |_m|
      _methods = safe_send _m, include_ancestors
      _methods = grep ? _methods&.grep(grep) : _methods
      { _m => _methods }
    end

    ap _introspection_methods.inject &:merge
    
  end

end