
require "active_model/railtie"

module EitilWrapper
  class ApplicationDecorator

    include ActiveModel::Model

    def initialize(attributes={}, **kwargs)      
      super attributes
      all_kwargs_to_ivars binding
    end

    def self.method_missing(method_name, *args, **kwargs)
      if %i$ web app $.include?(method_name.to_sym)
        kwargs.any? ? send(:base, *args, **kwargs) : send(:base, *args)
      end
      super
    end

  end
end