
require "eitil"
require "pry"

Eitil::Layers.each do |layer|
  
  begin
    require "#{layer}/railtie"
    require "#{layer}"
    # puts "succesfully required #{layer} and #{layer}/railtie" if Rails.env.development?

  rescue LoadError => e    
    puts "failed to require #{layer} and #{layer}/railtie"
    puts "message: #{e.message}"
    # binding.pry
    
  end
end
